Skip to main content
GET
/
v1
/
knowledge-bases
/
{kb_id}
/
jobs
/
{job_id}
Get Kb Job
curl --request GET \
  --url https://api-tokyo.oneinbox.ai/v1/knowledge-bases/{kb_id}/jobs/{job_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-tokyo.oneinbox.ai/v1/knowledge-bases/{kb_id}/jobs/{job_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-tokyo.oneinbox.ai/v1/knowledge-bases/{kb_id}/jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api-tokyo.oneinbox.ai/v1/knowledge-bases/{kb_id}/jobs/{job_id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "job_id": "<string>",
  "kb_id": "<string>",
  "type": "<string>",
  "status": "<string>",
  "error_message": "<string>",
  "payload": {},
  "started_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "source_id": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Your API key sent as a Bearer credential — Authorization: Bearer <api_key>, where <api_key> starts with oi_sk_ (create one via POST /v1/api-keys). Although the field is labelled 'token', paste your API key here. A dashboard JWT is also accepted on this header for the same endpoints.

Path Parameters

kb_id
string<uuid>
required
job_id
string<uuid>
required

Response

Successful Response

job_id
string
required
kb_id
string
required
type
string
required
status
string
required
error_message
string | null
required
payload
Payload · object | null
required
started_at
string<date-time> | null
required
completed_at
string<date-time> | null
required
created_at
string<date-time>
required
source_id
string | null